ros-kilted-launch-ros (0.28.4-1noble) noble; urgency=high

  * Make FindPackage substitutions a Path to get operator / (#494 <https://github.com/ros2/launch_ros/issues/494>) (#498 <https://github.com/ros2/launch_ros/issues/498>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 06 Nov 2025 23:00:00 -0000

ros-kilted-launch-ros (0.28.3-1noble) noble; urgency=high

  * Fix SetUseSimTime for launch frontends (#488 <https://github.com/ros2/launch_ros/issues/488>) (#489 <https://github.com/ros2/launch_ros/issues/489>)
  * fix setuptools deprecations (#475 <https://github.com/ros2/launch_ros/issues/475>) (#484 <https://github.com/ros2/launch_ros/issues/484>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 14 Sep 2025 22:00:00 -0000

ros-kilted-launch-ros (0.28.2-1noble) noble; urgency=high

  * improve type readability in errors (#469 <https://github.com/ros2/launch_ros/issues/469>) (#471 <https://github.com/ros2/launch_ros/issues/471>)
  * Fix: LoadComposableNodes fails to parse wildcard param files correctly (#460 <https://github.com/ros2/launch_ros/issues/460>) (#465 <https://github.com/ros2/launch_ros/issues/465>) (#466 <https://github.com/ros2/launch_ros/issues/466>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 22 Jun 2025 22:00:00 -0000

ros-kilted-launch-ros (0.28.1-1noble) noble; urgency=high

  * Remove the slash stripping since leading slash matters (#456 <https://github.com/ros2/launch_ros/issues/456>)
  * Fixing lifecycle node autostart issue #445 <https://github.com/ros2/launch_ros/issues/445> (#449 <https://github.com/ros2/launch_ros/issues/449>)
  * Change docstring markdown code blocks to RST (#450 <https://github.com/ros2/launch_ros/issues/450>)
  * Autostarting lifecycle nodes and example launch file demo (#430 <https://github.com/ros2/launch_ros/issues/430>)
  * Add YAML dumper representator for str type to keep quotes always. (#436 <https://github.com/ros2/launch_ros/issues/436>)
  * Mock launch components causing rosdoc2 to fail Python API (#425 <https://github.com/ros2/launch_ros/issues/425>)
  * Contributors: Christophe Bedard, Olivia/F.F., R Kent James, Steve Macenski, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 17 Apr 2025 22:00:00 -0000

ros-kilted-launch-ros (0.28.0-1noble) noble; urgency=high

  * Add ament_xmllint to the ament_python packages. (#423 <https://github.com/ros2/launch_ros/issues/423>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 Nov 2024 23:00:00 -0000

ros-kilted-launch-ros (0.27.3-1noble) noble; urgency=high

  * Fix url in setup.py (#413 <https://github.com/ros2/launch_ros/issues/413>)
  * Contributors: Wei HU

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Oct 2024 22:00:00 -0000

ros-kilted-launch-ros (0.27.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 28 Jul 2024 22:00:00 -0000

ros-kilted-launch-ros (0.27.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 16 Jun 2024 22:00:00 -0000

ros-kilted-launch-ros (0.27.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Apr 2024 22:00:00 -0000

ros-kilted-launch-ros (0.26.5-1noble) noble; urgency=high

  * Fix: typing. Iterable doesn't have __getitem__ (#393 <https://github.com/ros2/launch_ros/issues/393>)
  * Cleanup some type annotations. (#392 <https://github.com/ros2/launch_ros/issues/392>)
  * Contributors: Chris Lalancette, Matthijs van der Burgh

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-kilted-launch-ros (0.26.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-kilted-launch-ros (0.26.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-kilted-launch-ros (0.26.2-1noble) noble; urgency=high

  * Create py.typed to mark this library as typed (#379 <https://github.com/ros2/launch_ros/issues/379>)
  * Contributors: Jonas Otto

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-kilted-launch-ros (0.26.1-1noble) noble; urgency=high

  * Remove create_future implementation. (#372 <https://github.com/ros2/launch_ros/issues/372>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-kilted-launch-ros (0.26.0-1noble) noble; urgency=high

  * cache lookup of importlib metadata in Node action (#365 <https://github.com/ros2/launch_ros/issues/365>)
  * Get rid of unnecessary checks in composable_node_container. (#364 <https://github.com/ros2/launch_ros/issues/364>)
  * Contributors: Chris Lalancette, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-kilted-launch-ros (0.25.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-kilted-launch-ros (0.24.0-1noble) noble; urgency=high

  * Use SomeEntitiesType for type checking. (#358 <https://github.com/ros2/launch_ros/issues/358>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-kilted-launch-ros (0.23.0-1noble) noble; urgency=high

  * Fix normalize_parameters_dict for multiple nodes in the same namespace (#347 <https://github.com/ros2/launch_ros/issues/347>)
  * Implement None check for ComposableNodeContainer (#341 <https://github.com/ros2/launch_ros/issues/341>)
  * Add LifecyleTransition action (#317 <https://github.com/ros2/launch_ros/issues/317>)
  * Improve evaluate_paramenter_dict exceptions error message (#320 <https://github.com/ros2/launch_ros/issues/320>)
  * Ensure load_composable_nodes respects condition (#339 <https://github.com/ros2/launch_ros/issues/339>)
  * fix: return text value to avoid exception (#338 <https://github.com/ros2/launch_ros/issues/338>)
  * [rolling] Update maintainers - 2022-11-07 (#331 <https://github.com/ros2/launch_ros/issues/331>)
  * Contributors: Alexey Merzlyakov, Audrow Nash, Christoph Hellmann Santos, Daisuke Nishimatsu, Felipe Gomes de Melo, methylDragon

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-kilted-launch-ros (0.22.0-1noble) noble; urgency=high

  * RosTimer -> ROSTimer and PushRosNamespace -> PushROSNamespace, to follow PEP8 (#326 <https://github.com/ros2/launch_ros/issues/326>)
  * add SetROSLogDir action (#325 <https://github.com/ros2/launch_ros/issues/325>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-kilted-launch-ros (0.21.0-1noble) noble; urgency=high

  * Support default values in parameter substitution (#313 <https://github.com/ros2/launch_ros/issues/313>)
  * Contributors: Kenji Miyake

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-kilted-launch-ros (0.20.0-1noble) noble; urgency=high

  * Run condition for composable nodes (#311 <https://github.com/ros2/launch_ros/issues/311>)
  * Contributors: Aditya Pande

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-kilted-launch-ros (0.19.2-1noble) noble; urgency=high

  * Fix importlib_metadata warning on Python 3.10. (#307 <https://github.com/ros2/launch_ros/issues/307>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-kilted-launch-ros (0.19.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 04 Apr 2022 22:00:00 -0000

ros-kilted-launch-ros (0.19.0-1noble) noble; urgency=high

  * Use correct namespace when evaluating parameter files for composable nodes (#303 <https://github.com/ros2/launch_ros/issues/303>)
  * Handle empty strings when evaluating parameters (#300 <https://github.com/ros2/launch_ros/issues/300>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Mar 2022 23:00:00 -0000

ros-kilted-launch-ros (0.18.0-1noble) noble; urgency=high

  * Add parameter substitution (#297 <https://github.com/ros2/launch_ros/issues/297>)
  * Contributors: Kenji Miyake

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-kilted-launch-ros (0.17.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Dec 2021 23:00:00 -0000

ros-kilted-launch-ros (0.16.0-1noble) noble; urgency=high

  * fix bug in warning when an entry point fails to load (#243 <https://github.com/ros2/launch_ros/issues/243>)
  * More Helpful Error Messages (#275 <https://github.com/ros2/launch_ros/issues/275>)
  * Update maintainers in setup.py (#287 <https://github.com/ros2/launch_ros/issues/287>)
  * Set parameters from file for composable nodes (#281 <https://github.com/ros2/launch_ros/issues/281>)
  * Update package maintainers (#284 <https://github.com/ros2/launch_ros/issues/284>)
  * Update node name matcher (#282 <https://github.com/ros2/launch_ros/issues/282>)
  * Support both parameter file configurations for composable nodes (#259 <https://github.com/ros2/launch_ros/issues/259>)
  * Contributors: Aditya Pande, Audrow Nash, David V. Lu!!, Jacob Perron, Michel Hidalgo, Rebecca Butler, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 28 Nov 2021 23:00:00 -0000

ros-kilted-launch-ros (0.15.0-1noble) noble; urgency=high

  * Handle substitutions in RosTimer (#264 <https://github.com/ros2/launch_ros/issues/264>)
  * Add SetParametersFromFile action (#260 <https://github.com/ros2/launch_ros/issues/260>)
  * Properly support ros_args attribute through launch frontends (#253 <https://github.com/ros2/launch_ros/issues/253>)
  * Add 'push_ros_namespace' alias to 'push-ros-namespace' (#250 <https://github.com/ros2/launch_ros/issues/250>)
  * Add ros_arguments option to Node action (#249 <https://github.com/ros2/launch_ros/issues/249>)
  * Refactor RosTimer to extend TimerAction (#248 <https://github.com/ros2/launch_ros/issues/248>)
  * ROS Timer Action (#244 <https://github.com/ros2/launch_ros/issues/244>)
  * Support container in frontend (#235 <https://github.com/ros2/launch_ros/issues/235>)
  * Fix a small typo in a comment (#237 <https://github.com/ros2/launch_ros/issues/237>)
  * Better document parameter handling in Node (#234 <https://github.com/ros2/launch_ros/issues/234>)
  * Contributors: Aditya Pande, Chris Lalancette, Christophe Bedard, Felix Divo, Jacob Perron, Kenji Miyake, Rebecca Butler

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Oct 2021 22:00:00 -0000

ros-kilted-launch-ros (0.14.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 22:00:00 -0000

ros-kilted-launch-ros (0.14.1-1noble) noble; urgency=high

  * Support Python 3.8 importlib.metadata, declare dependency (#229 <https://github.com/ros2/launch_ros/issues/229>)
  * Contributors: Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 11 Apr 2021 22:00:00 -0000

ros-kilted-launch-ros (0.14.0-1noble) noble; urgency=high

  * Add options extensions to ros2launch and extensibility to the node action (#216 <https://github.com/ros2/launch_ros/issues/216>)
  * Contributors: Geoffrey Biggs

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kilted-launch-ros (0.13.0-1noble) noble; urgency=high

  * Make sure ParameterFile __del__ works without exception. (#212 <https://github.com/ros2/launch_ros/issues/212>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-kilted-launch-ros (0.12.0-1noble) noble; urgency=high

  * Fix docblock in LoadComposableNodes (#207 <https://github.com/ros2/launch_ros/issues/207>)
  * Validate complex attributes of 'node' action (#198 <https://github.com/ros2/launch_ros/issues/198>)
  * Node.__init__() executable and ComposableNode.__init__() plugin arguments aren't optional (#197 <https://github.com/ros2/launch_ros/issues/197>)
  * Remove constructors arguments deprecated since Foxy (#190 <https://github.com/ros2/launch_ros/issues/190>)
  * Make name and namespace mandatory in ComposableNodeContainer, remove deprecated alternatives (#189 <https://github.com/ros2/launch_ros/issues/189>)
  * Merge pull request #183 <https://github.com/ros2/launch_ros/issues/183> from ros2/update-maintainers
    Update the package.xml files with the latest Open Robotics maintainers
  * Move previous maintainer to <author>
  * Update the package.xml files with the latest Open Robotics maintainers
  * Fix AttributeError when accessing component container name (#177 <https://github.com/ros2/launch_ros/issues/177>)
  * Handle any substitution types for SetParameter name argument (#182 <https://github.com/ros2/launch_ros/issues/182>)
  * Asynchronously wait for load node service response (#174 <https://github.com/ros2/launch_ros/issues/174>)
  * Fix case where list of composable nodes is zero (#173 <https://github.com/ros2/launch_ros/issues/173>)
  * Do not use event handler for loading composable nodes (#170 <https://github.com/ros2/launch_ros/issues/170>)
  * Fix race with launch context changes when loading composable nodes (#166 <https://github.com/ros2/launch_ros/issues/166>)
  * Substitutions in parameter files (#168 <https://github.com/ros2/launch_ros/issues/168>)
  * Fix documentation typo (#167 <https://github.com/ros2/launch_ros/issues/167>)
  * Fix problems when parsing a Command Substitution as a parameter value (#137 <https://github.com/ros2/launch_ros/issues/137>)
  * Add a way to set remapping rules for all nodes in the same scope (#163 <https://github.com/ros2/launch_ros/issues/163>)
  * Resolve libyaml warning when loading parameters from file (#161 <https://github.com/ros2/launch_ros/issues/161>)
  * Fix ComposableNode ignoring PushRosNamespace actions (#162 <https://github.com/ros2/launch_ros/issues/162>)
  * Add a SetParameter action that sets a parameter to all nodes in the same scope (#158 <https://github.com/ros2/launch_ros/issues/158>)
  * Make namespace parameter mandatory in LifecycleNode constructor (#157 <https://github.com/ros2/launch_ros/issues/157>)
  * Avoid using a wildcard to specify parameters if possible (#154 <https://github.com/ros2/launch_ros/issues/154>)
  * Fix no specified namespace (#153 <https://github.com/ros2/launch_ros/issues/153>)
  * Add pytest.ini so local tests don't display warning (#152 <https://github.com/ros2/launch_ros/issues/152>)
  * Contributors: Chris Lalancette, Dereck Wonnacott, Ivan Santiago Paunovic, Jacob Perron, Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-kilted-launch-ros (0.10.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-kilted-launch-ros (0.10.1-1noble) noble; urgency=high

  * Fix new flake8 errors (#148 <https://github.com/ros2/launch_ros/issues/148>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 May 2020 22:00:00 -0000

ros-kilted-launch-ros (0.10.0-1noble) noble; urgency=high

  * Avoid using sys.argv in rclpy.init (#144 <https://github.com/ros2/launch_ros/issues/144>)
  * Deprecated 'node_executable' parameter and replace with 'executable' (#140 <https://github.com/ros2/launch_ros/issues/140>)
  * Bump node_name warning stacklevel (#138 <https://github.com/ros2/launch_ros/issues/138>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Enable implicit ROS startup by launch_ros actions  (#128 <https://github.com/ros2/launch_ros/issues/128>)
  * Add warning message when launching Non-Uniquely Named Nodes (#127 <https://github.com/ros2/launch_ros/issues/127>)
  * Rename node-related parameters (#122 <https://github.com/ros2/launch_ros/issues/122>)
  * Fix LoadComposableNodes action so that loading happens asynchronously (#113 <https://github.com/ros2/launch_ros/issues/113>)
  * Fix frontend topic remapping (#111 <https://github.com/ros2/launch_ros/issues/111>)
  * Check for shutdown while waiting for a service response to avoid hang during shutdown (#104 <https://github.com/ros2/launch_ros/issues/104>)
  * Fix misleading deprecated warnings when using launch arguments (#106 <https://github.com/ros2/launch_ros/issues/106>)
  * Use imperative mood in constructor docstrings (#103 <https://github.com/ros2/launch_ros/issues/103>)
  * Maintain order of parameters regarding name and from (#99 <https://github.com/ros2/launch_ros/issues/99>)
  * Allow separate launch composition (#77 <https://github.com/ros2/launch_ros/issues/77>)
  * Fix push-ros-namespace in xml/yaml launch files (#100 <https://github.com/ros2/launch_ros/issues/100>)
  * Pass the node-name attribute through the substitution parser (#101 <https://github.com/ros2/launch_ros/issues/101>)
  * Add pid to launch_ros node name as suffix (#98 <https://github.com/ros2/launch_ros/issues/98>)
  * Contributors: Brian Ezequiel Marchi, Brian Marchi, Dirk Thomas, Eric Fang, Grey, Ivan Santiago Paunovic, Jacob Perron, Miaofei Mei, Michel Hidalgo, Shane Loretz, Steven! Ragnarök, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 Apr 2020 22:00:00 -0000

ros-kilted-launch-ros (0.9.4-1noble) noble; urgency=high

  * fix new linter warnings as of flake8-comprehensions 3.1.0 (#94 <https://github.com/ros2/launch_ros/issues/94>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Nov 2019 23:00:00 -0000

ros-kilted-launch-ros (0.9.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Nov 2019 23:00:00 -0000

ros-kilted-launch-ros (0.9.2-1noble) noble; urgency=high

  * Fix launch_ros.actions.Node parsing function (#83 <https://github.com/ros2/launch_ros/issues/83>)
  * Add support for launching nodes not in a package (#82 <https://github.com/ros2/launch_ros/issues/82>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-kilted-launch-ros (0.9.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 27 Sep 2019 22:00:00 -0000

ros-kilted-launch-ros (0.9.0-1noble) noble; urgency=high

  * Refactor Node parse() function. (#73 <https://github.com/ros2/launch_ros/issues/73>)
  * Handle zero-width string parameters. (#72 <https://github.com/ros2/launch_ros/issues/72>)
  * Promote special CLI rules to flags (#68 <https://github.com/ros2/launch_ros/issues/68>)
  * Add substitution for finding package share directory (#57 <https://github.com/ros2/launch_ros/issues/57>)
  * Use of -r/--remap flags where appropriate. (#59 <https://github.com/ros2/launch_ros/issues/59>)
  * install package marker and manifest (#62 <https://github.com/ros2/launch_ros/issues/62>)
  * Adapt to '--ros-args ... [--]'-based ROS args extraction (#52 <https://github.com/ros2/launch_ros/issues/52>)
  * Use node namespace if no other was specified (#51 <https://github.com/ros2/launch_ros/issues/51>)
  * [launch frontend] Rename some tag attributes (#47 <https://github.com/ros2/launch_ros/issues/47>)
  * Fix PushRosNamespace action (#44 <https://github.com/ros2/launch_ros/issues/44>)
  * Add PushRosNamespace action (#42 <https://github.com/ros2/launch_ros/issues/42>)
  * Add frontend parsing methods for Node, ExecutableInPackage and FindPackage substitution (#23 <https://github.com/ros2/launch_ros/issues/23>)
  * Restrict yaml loading in evaluate_parameters (#33 <https://github.com/ros2/launch_ros/issues/33>)
  * Fix typo
  * Use wildcard syntax in generated parameter YAML files (#35 <https://github.com/ros2/launch_ros/issues/35>)
  * Contributors: Dan Rose, Dirk Thomas, Jacob Perron, Michel Hidalgo, Scott K Logan, ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 24 Sep 2019 22:00:00 -0000

ros-kilted-launch-ros (0.8.4-1noble) noble; urgency=high

  * Update usage of 'noqa' for imports (#32 <https://github.com/ros2/launch_ros/issues/32>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 May 2019 22:00:00 -0000

ros-kilted-launch-ros (0.8.3-1noble) noble; urgency=high

  * Added the ``FindPackage`` substitution. (#22 <https://github.com/ros2/launch_ros/issues/22>)
  * Changed interpretation of Parameter values which are passed to ``Node()`` so that they get evaluated by yaml rules. (#31 <https://github.com/ros2/launch_ros/issues/31>)
  * Contributors: Shane Loretz, ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-kilted-launch-ros (0.8.2-1noble) noble; urgency=high

  * Fix deprecation warnings (#25 <https://github.com/ros2/launch_ros/issues/25>)
  * Corrected matches_action usage in lifecycle_pub_sub example (#21 <https://github.com/ros2/launch_ros/issues/21>)
  * Contributors: Jacob Perron, ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-kilted-launch-ros (0.8.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-kilted-launch-ros (0.8.0-1noble) noble; urgency=high

  * Make 'ros2 launch' work again. (launch #201 <https://github.com/ros2/launch_ros/issues/201>)
  * Added LaunchLogger class (launch #145 <https://github.com/ros2/launch/issues/145>)
  * Changed logger.warn (deprecated) to logger.warning. (launch #199 <https://github.com/ros2/launch/issues/199>)
  * Added Plumb rclpy.init context to get_default_launch_description. (launch #193 <https://github.com/ros2/launch/issues/193>)
  * Added normalize_parameters and evaluate_paramters. (launch #192 <https://github.com/ros2/launch/issues/192>)
  * Added normalize_remap_rule and types. (launch #173 <https://github.com/ros2/launch/issues/173>)
  * Contributors: Chris Lalancette, Dirk Thomas, Jacob Perron, Peter Baughman, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sat, 13 Apr 2019 22:00:00 -0000

ros-kilted-launch-ros (0.7.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Dec 2018 23:00:00 -0000

ros-kilted-launch-ros (0.7.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 05 Dec 2018 23:00:00 -0000

ros-kilted-launch-ros (0.7.1-1noble) noble; urgency=high

  * Fixed setup.py versions (#155 <https://github.com/ros2/launch/issues/155>)
  * Contributors: Steven! Ragnarök

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 15 Nov 2018 23:00:00 -0000

ros-kilted-launch-ros (0.7.0-1noble) noble; urgency=high

  * Renamed transitions to match changes in ``lifecycle_msgs`` (launch #153 <https://github.com/ros2/launch/issues/153>)
    * TRANSITION_SHUTDOWN was deleted in ``lifecycle_msgs/msg/Transition.msg``
    * Align with the code changes from https://github.com/ros2/rcl_interfaces/commit/852a37ba3ae0f7e58f4314fa432a8ea7f0cbf639
    * Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Added 'handle_once' property for unregistering an EventHandler after one event (#141 <https://github.com/ros2/launch/issues/141>)
  * Added support for passing parameters as a dictionary to a Node (launch #138 <https://github.com/ros2/launch/issues/138>)
  * Made various fixes and added tests for remappings passed to Node actions (launch #137 <https://github.com/ros2/launch/issues/137>)
  * Added ability to pass parameter files to Node actions (#135 <https://github.com/ros2/launch/issues/135>)
  * Added ability to define and pass launch arguments to launch files (#123 <https://github.com/ros2/launch/issues/123>)
    * See changelog in ``launch`` for details.
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: Chris Ye, Jacob Perron, William Woodall, dhood

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 15 Nov 2018 23:00:00 -0000

ros-kilted-launch-ros (0.6.0-1noble) noble; urgency=high

  * Fixed a bug where launch would hang on exit by destroying the rclpy node on shutdown (#124 <https://github.com/ros2/launch/issues/124>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Fixed a race condition in emitting events by using loop.call_soon_threadsafe() (#119 <https://github.com/ros2/launch/issues/119>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 Aug 2018 22:00:00 -0000

ros-kilted-launch-ros (0.5.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 16 Jul 2018 22:00:00 -0000

ros-kilted-launch-ros (0.5.1-1noble) noble; urgency=high

  * Various Windows fixes. (#87 <https://github.com/ros2/launch/issues/87>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Jun 2018 22:00:00 -0000

ros-kilted-launch-ros (0.5.0-1noble) noble; urgency=high

  * Changed to use variable typing in comments to support python 3.5 (#81 <https://github.com/ros2/launch/issues/81>)
  * First commit of the ROS specific launch API (#75 <https://github.com/ros2/launch/issues/75>)
    * ROS specific functionality for the new launch API.
  * Contributors: William Woodall, dhood

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Jun 2018 22:00:00 -0000


